org.apache.xml.dtm.ref

## Class DTMDefaultBaseIterators.TypedAncestorIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.AncestorIterator
      - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.TypedAncestorIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  DTMDefaultBaseIterators

    public final class DTMDefaultBaseIterators.TypedAncestorIterator
    extends DTMDefaultBaseIterators.AncestorIterator

Typed iterator that returns the ancestors of a given node.

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`DTMDefaultBaseIterators.TypedAncestorIterator(int type)` Constructor TypedAncestorIterator

### Method Summary

Methods
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

### Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.AncestorIterator

`cloneIterator, getStartNode, gotoMark, isReverse, next, reset, setMark`

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`getAxis, getLast, getNodeByPosition, getPosition, includeSelf, isDocOrdered, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTMDefaultBaseIterators.TypedAncestorIterator

    public DTMDefaultBaseIterators.TypedAncestorIterator(int type)

Constructor TypedAncestorIterator

Parameters:
  `type` - The extended type ID being requested.

### Method Detail

#### setStartNode

    public DTMAxisIterator setStartNode(int node)

Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Specified by:
  `setStartNode` in interface `DTMAxisIterator`
Overrides:
  `setStartNode` in class `DTMDefaultBaseIterators.AncestorIterator`
Parameters:
  `node` - Sets the root of the iteration.
Returns:
  A DTMAxisIterator set to the start of the iteration.